Create Calendar Subscription
curl --request POST \
--url https://api.sonderplan.com/v2/calendar-subscription/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"calendar_url": "https://calendar.google.com/calendar/i",
"enabled": true,
"booking_property": {
"client": [
{
"uuid": "u2349"
}
],
"status": [
{
"id": 1
}
],
"project": [
{
"id": 2
}
],
"resources": [
{
"id": 1928
}
],
"custom_fields": [
{}
]
}
}
'import requests
url = "https://api.sonderplan.com/v2/calendar-subscription/import"
payload = {
"calendar_url": "https://calendar.google.com/calendar/i",
"enabled": True,
"booking_property": {
"client": [{ "uuid": "u2349" }],
"status": [{ "id": 1 }],
"project": [{ "id": 2 }],
"resources": [{ "id": 1928 }],
"custom_fields": [{}]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
calendar_url: 'https://calendar.google.com/calendar/i',
enabled: true,
booking_property: {
client: [{uuid: 'u2349'}],
status: [{id: 1}],
project: [{id: 2}],
resources: [{id: 1928}],
custom_fields: [{}]
}
})
};
fetch('https://api.sonderplan.com/v2/calendar-subscription/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": {
"id": 2384
}
}{
"error": {
"code": 400,
"message": "name is required... Name of the tax"
}
}Calendar Subscription
Create Calendar Subscription
WRITE access to the ADMIN module is required to access this endpointPOST
/
v2
/
calendar-subscription
/
import
Create Calendar Subscription
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
External shared calendars that are imported into Sonderplan on a recurring schedule
URL (link) to the external calendar subscription, usually a .ics file
Example:
"https://calendar.google.com/calendar/i"
If enabled, Sonderplan will be regularly checking the external calendar for changes
Example:
true
Bookings imported from the external calendar will have these properties added
Show child attributes
Show child attributes
Response
Successful Operation
Show child attributes
Show child attributes
⌘I